> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List application logs

> List logs for the app



## OpenAPI

````yaml /api-reference/services_documented/fastedge_api.yaml get /fastedge/v1/apps/{app_id}/logs
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: FastEdge Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: Apps
    x-displayName: Apps
  - description: >-
      Binaries are WebAssembly executables that are actually executed when app
      is ran.
    name: Binaries
    x-displayName: Binaries
  - description: Statistics of edge app use
    name: Stats
    x-displayName: Stats
  - description: Secret values that can be used in apps
    name: FastEdge Secrets
    x-displayName: Secrets
  - description: Key-value edge storage for apps
    name: Edge Storage
    x-displayName: Edge Storage
paths:
  /fastedge/v1/apps/{app_id}/logs:
    get:
      tags:
        - Apps
      summary: List application logs
      description: List logs for the app
      operationId: listLogs
      parameters:
        - description: Unique identifier of the application to retrieve logs for
          in: path
          name: app_id
          required: true
          schema:
            type: integer
            format: int64
        - description: >-
            Start of log retrieval period in RFC3339 format. Defaults to 1 hour
            ago if not specified.
          in: query
          name: from
          schema:
            example: '2023-12-31T23:59:59Z'
            format: date-time
            type: string
        - description: >-
            Reporting period end time, RFC3339 format. Default current time in
            UTC.
          in: query
          name: to
          schema:
            example: '2026-01-31T23:59:59Z'
            format: date-time
            type: string
        - description: Edge name
          in: query
          name: edge
          schema:
            format: string
            type: string
        - description: Search string
          in: query
          name: search
          schema:
            format: string
            type: string
        - description: Search by client IP address
          in: query
          name: client_ip
          schema:
            type: string
        - description: Search by request ID
          in: query
          name: request_id
          schema:
            type: string
        - description: Sort order (default desc)
          in: query
          name: sort
          schema:
            enum:
              - desc
              - asc
            format: string
            type: string
        - description: Limit for pagination
          in: query
          name: limit
          schema:
            format: int32
            type: integer
        - description: Offset for pagination
          in: query
          name: offset
          schema:
            format: int32
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  count:
                    description: Number of logs available
                    format: int32
                    type: integer
                  logs:
                    items:
                      $ref: '#/components/schemas/log'
                    type: array
                  offset:
                    description: Current request offset
                    format: int32
                    type: integer
                  total_count:
                    deprecated: true
                    description: Number of total logs available (do not use, to be removed)
                    format: int32
                    type: integer
                required:
                  - count
                type: object
          description: A paged array of logs
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
        '404':
          description: Not found
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Service unavailable
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            page = client.fastedge.apps.logs.list(
                app_id=0,
            )
            page = page.logs[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/fastedge\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Fastedge.Apps.Logs.List(\n\t\tcontext.TODO(),\n\t\t0,\n\t\tfastedge.AppLogListParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
components:
  schemas:
    log:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for this log entry
        app_name:
          type: string
          description: Name of the application that generated this log
        timestamp:
          type: string
          format: date-time
          description: When the log was generated (RFC3339 format)
        log:
          type: string
          description: The actual log message content
        edge:
          type: string
          description: Edge location where the log originated
        client_ip:
          type: string
          description: IP address of the client that triggered the log
        request_id:
          type: string
          description: Request ID
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````